Requisiti di sistema
Comprimi il sommario
Espandi il sommario
Per visualizzare l'articolo in inglese, selezionare la casella di controllo Inglese. È possibile anche visualizzare il testo inglese in una finestra popup posizionando il puntatore del mouse sopra il testo.
Traduzione
Inglese

Requisiti di sistema di .NET Framework

 

Le tabelle in questo argomento illustrano i requisiti hardware, software e del sistema operativo per .NET Framework 4.5 e le relative versioni intermedie (4.5.1 e 4.5.2), nonché .NET Framework 4.6 e 4.6.1. Gli ambienti di sviluppo che consentono di sviluppare applicazioni per .NET Framework dispongono di un set separato di requisiti.

Per informazioni sul download e i collegamenti, vedere Installazione di .NET Framework.

Per informazioni sul ciclo di vita del supporto delle versioni di .NET Framework, vedere Ciclo di vita del supporto Microsoft.

Processore

1 GHz

RAM

512 MB

Spazio su disco (minimo)

 

      32 bit

4,5 GB

      64 bit

4,5 GB

System_CAPS_importantImportante

Per poter installare .NET Framework, sono necessari privilegi di amministratore. Se non si dispone di diritti di amministratore nel computer in cui si vuole installare .NET Framework, contattare l'amministratore di rete.

Sistema operativo

Edizioni supportate

Preinstallato con il sistema operativo

Installabile separatamente

Aggiornamento di novembre di Windows 10

32 bit e 64 bit

 .NET Framework 4.6.1

Windows 10

32 bit e 64 bit

 .NET Framework 4.6

 .NET Framework 4.6.1

Windows 8,1

32 bit, 64 bit e ARM

 .NET Framework 4.5.1

 .NET Framework 4.5.2

 .NET Framework 4.6

 .NET Framework 4.6.1

Windows 8 

32 bit, 64 bit e ARM

 .NET Framework 4.5

 .NET Framework 4.5.1

 .NET Framework 4.5.2

 .NET Framework 4.6

  .NET Framework 4.6.1

Windows 7 SP1

32 bit e 64 bit

--

.NET Framework 4

 .NET Framework 4.5

 .NET Framework 4.5.1

 .NET Framework 4.5.2

  .NET Framework 4.6

 .NET Framework 4.6.1

Windows Vista SP2

32 bit e 64 bit

--

.NET Framework 4

 .NET Framework 4.5

 .NET Framework 4.5.1

 .NET Framework 4.5.2

 .NET Framework 4.6

Windows XP

32 bit e 64 bit

--

.NET Framework 4

Note: 

  • Nei sistemi Windows 7, .NET Framework richiede Windows 7 SP1. Se si dispone di Windows 7 ma non è ancora stato installato il Service Pack 1, è necessario farlo prima di installare .NET Framework.

  • .NET Framework 4.5 è supportato nell'Ambiente preinstallazione di Windows (Windows PE). Non tutte le funzionalità sono supportate in Windows PE.

  • .NET Framework 4 supporta inoltre la piattaforma IA64.

  • Per tutte le piattaforme, si consiglia di eseguire l'aggiornamento al Service Pack di Windows più recente e di installare gli aggiornamenti critici disponibili nel sito Web Windows Update per garantire la massima compatibilità e sicurezza.

  • Nei sistemi operativi a 64 bit, .NET Framework supporta sia WOW64 (elaborazione a 32 bit su un computer a 64 bit) che l'elaborazione nativa a 64 bit.

Sistema operativo

Edizioni supportate

Preinstallato con il sistema operativo

Installabile separatamente

Windows Server 2012 R2

64 bit

 .NET Framework 4.5.1

.NET Framework 4.5.2

.NET Framework 4.6

.NET Framework 4.6.1

Windows Server 2012 (edizione a 64 bit)

64 bit

 .NET Framework 4.5

.NET Framework 4.5.1

.NET Framework 4.5.2

.NET Framework 4.6

 .NET Framework 4.6.1

Windows Server 2008 R2 SP1

64 bit

--

.NET Framework 4

 .NET Framework 4.5

 .NET Framework 4.5.1

 .NET Framework 4.5.2

 .NET Framework 4.6

 .NET Framework 4.6.1

Windows Server 2008 SP2

32 bit e 64 bit

--

.NET Framework 4

.NET Framework 4.5

.NET Framework 4.5.1

.NET Framework 4.5.2

.NET Framework 4.6

Note:

  • In Windows Server 2012 è incluso .NET Framework 4.5, pertanto non è necessario installarlo separatamente. Analogamente, in Windows Server 2012 R2 è incluso .NET Framework 4.5.1.

  • .NET Framework è supportato nel ruolo Server Core con Windows Server 2008 R2 SP1 o versioni successive, ma non è supportato in Windows Server 2008 R2 per sistemi basati su Itanium.

  • .NET Framework non è supportato nel ruolo Server Core di Windows Server 2008 SP2.

  • Per tutte le piattaforme, si consiglia di eseguire l'aggiornamento al Service Pack di Windows più recente e installare gli aggiornamenti critici disponibili nel sito Web Windows Update per garantire la massima compatibilità e sicurezza. Su alcuni sistemi operativi potrebbe essere necessaria l'installazione dell'ultimo Windows Service Pack.

  • Nei sistemi operativi a 64 bit, .NET Framework supporta sia WOW64 (elaborazione a 32 bit su un computer a 64 bit) che l'elaborazione nativa a 64 bit.

Mostra:
© 2016 Microsoft